## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.16.0
%bcond check 1
%global gomodulesmode GO111MODULE=on

# https://github.com/projectdiscovery/dnsx
%global goipath         github.com/projectdiscovery/dnsx
Version:                1.2.2

%gometa -L -f

%global common_description %{expand:
Dnsx is a fast and multi-purpose DNS toolkit allow to run multiple DNS queries
of your choice with a list of user-supplied resolvers.}

Name:           dnsx
Release:        %autorelease
Summary:        Dnsx is a fast and multi-purpose DNS toolkit

# Generated by go-vendor-tools
License:        0BSD AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ICU AND ISC AND MIT AND MPL-2.0 AND Unlicense
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
%gobuild -o %{gobuilddir}/bin/dnsx %{goipath}/cmd/dnsx

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
for test in "TestRunner_asnInput_prepareInput" "TestRunner_InputWorkerStream" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
export GO111MODULE=on
%gotest ./...
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc SECURITY.md README.md
%{_bindir}/dnsx


%changelog
## START: Generated by rpmautospec
* Sun Jul 13 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.2-1
- Update to 1.2.2 and adopt Go Vendor Tools - Closes rhbz#2360631
  rhbz#2360591 rhbz#2359393 rhbz#2352157 rhbz#2340086 rhbz#2333247
  rhbz#2267855

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.1.6-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 16 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.6-1
- Update to 1.1.6 - Closes rhbz#2249448 rhbz#2248264

* Fri Oct 27 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.5-1
- Update to 1.1.5 - Closes rhbz#2169567 rhbz#2178430 rhbz#2163084

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Oct 04 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.1-1
- Update to 1.1.1 - Closes rhbz#2130736

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.1.0-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Tue May 10 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.0-1
- Initial package - Closes rhbz#2081179
## END: Generated by rpmautospec
